Bug 1252292 - (CVE-2015-4485, CVE-2015-4486) CVE-2015-4485 CVE-2015-4486 Mozilla: Buffer overflows on Libvpx when decoding WebM video (MFSA 2015-89)
CVE-2015-4485 CVE-2015-4486 Mozilla: Buffer overflows on Libvpx when decoding...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20150811,repor...
: Security
Depends On:
Blocks: 1251515
  Show dependency treegraph
 
Reported: 2015-08-11 02:30 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-01-22 08:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-12 00:37:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2015-08-11 02:30:08 EDT
Security researcher Abhishek Arya (Inferno) of the Google Chrome Security Team used the Address Sanitizer tool to discover two buffer overflow issues in the Libvpx library used for WebM video when decoding a malformed WebM video file. These buffer overflows result in potentially exploitable crashes. 


External Reference:

https://www.mozilla.org/security/announce/2015/mfsa2015-89.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Abhishek Arya as the original reporter.
Comment 1 errata-xmlrpc 2015-08-11 15:48:25 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1586 https://rhn.redhat.com/errata/RHSA-2015-1586.html

Note You need to log in before you can comment on or make changes to this bug.